Agora Java API Reference for Android

Public Attributes | List of all members
agora::rtc::LocalVideoStats Struct Reference

`#include <IAgoraRtcEngine.h>`

## Public Attributes
uid_t | uid
int | sentBitrate
int | sentFrameRate
int | captureFrameRate
int | captureFrameWidth
int | captureFrameHeight
int | regulatedCaptureFrameRate
int | regulatedCaptureFrameWidth
int | regulatedCaptureFrameHeight
int | encoderOutputFrameRate
int | encodedFrameWidth
int | encodedFrameHeight
int | rendererOutputFrameRate
int | targetBitrate
int | targetFrameRate
QUALITY_ADAPT_INDICATION | qualityAdaptIndication
int | encodedBitrate
int | encodedFrameCount
VIDEO_CODEC_TYPE | codecType
unsigned short | txPacketLossRate
CAPTURE_BRIGHTNESS_LEVEL_TYPE | captureBrightnessLevel
bool | dualStreamEnabled
int | hwEncoderAccelerating
VideoDimensions | simulcastDimensions [SimulcastConfig::STREAM_LAYER_COUNT_MAX]

## Detailed Description

Statistics of the local video stream.

## Member Data Documentation

## ◆ uid

uid_t agora::rtc::LocalVideoStats::uid

ID of the local user.

## ◆ sentBitrate

int agora::rtc::LocalVideoStats::sentBitrate

The actual bitrate (Kbps) while sending the local video stream.

Note
  This value does not include the bitrate for resending the video after packet loss.

## ◆ sentFrameRate

int agora::rtc::LocalVideoStats::sentFrameRate

The actual frame rate (fps) while sending the local video stream.

Note
  This value does not include the frame rate for resending the video after packet loss.

## ◆ captureFrameRate

int agora::rtc::LocalVideoStats::captureFrameRate

The capture frame rate (fps) of the local video.

## ◆ captureFrameWidth

int agora::rtc::LocalVideoStats::captureFrameWidth

The width of the capture frame (px).

## ◆ captureFrameHeight

int agora::rtc::LocalVideoStats::captureFrameHeight

The height of the capture frame (px).

## ◆ regulatedCaptureFrameRate

int agora::rtc::LocalVideoStats::regulatedCaptureFrameRate

The regulated frame rate of capture frame rate according to video encoder configuration.

## ◆ regulatedCaptureFrameWidth

int agora::rtc::LocalVideoStats::regulatedCaptureFrameWidth

The regulated frame width (pixel) of capture frame width according to video encoder configuration.

## ◆ regulatedCaptureFrameHeight

int agora::rtc::LocalVideoStats::regulatedCaptureFrameHeight

The regulated frame height (pixel) of capture frame height according to video encoder configuration.

## ◆ encoderOutputFrameRate

int agora::rtc::LocalVideoStats::encoderOutputFrameRate

The output frame rate (fps) of the local video encoder.

## ◆ encodedFrameWidth

int agora::rtc::LocalVideoStats::encodedFrameWidth

The width of the encoding frame (px).

## ◆ encodedFrameHeight

int agora::rtc::LocalVideoStats::encodedFrameHeight

The height of the encoding frame (px).

## ◆ rendererOutputFrameRate

int agora::rtc::LocalVideoStats::rendererOutputFrameRate

The output frame rate (fps) of the local video renderer.

## ◆ targetBitrate

int agora::rtc::LocalVideoStats::targetBitrate

The target bitrate (Kbps) of the current encoder. This is an estimate made by the SDK based on the current network conditions.

## ◆ targetFrameRate

int agora::rtc::LocalVideoStats::targetFrameRate

The target frame rate (fps) of the current encoder.

## ◆ qualityAdaptIndication

QUALITY_ADAPT_INDICATION agora::rtc::LocalVideoStats::qualityAdaptIndication

Quality adaption of the local video stream in the reported interval (based on the target frame rate and target bitrate). See #QUALITY_ADAPT_INDICATION.

## ◆ encodedBitrate

int agora::rtc::LocalVideoStats::encodedBitrate

The bitrate (Kbps) while encoding the local video stream.

Note
  This value does not include the bitrate for resending the video after packet loss.

## ◆ encodedFrameCount

int agora::rtc::LocalVideoStats::encodedFrameCount

The number of the sent video frames, represented by an aggregate value.

## ◆ codecType

VIDEO_CODEC_TYPE agora::rtc::LocalVideoStats::codecType

The codec type of the local video. See #VIDEO_CODEC_TYPE.

## ◆ txPacketLossRate

unsigned short agora::rtc::LocalVideoStats::txPacketLossRate

The video packet loss rate (%) from the local client to the Agora server before applying the anti-packet loss strategies.

## ◆ captureBrightnessLevel

CAPTURE_BRIGHTNESS_LEVEL_TYPE agora::rtc::LocalVideoStats::captureBrightnessLevel

The brightness level of the video image captured by the local camera. See #CAPTURE_BRIGHTNESS_LEVEL_TYPE.

## ◆ dualStreamEnabled

bool agora::rtc::LocalVideoStats::dualStreamEnabled

Whether we send dual stream now.

## ◆ hwEncoderAccelerating

int agora::rtc::LocalVideoStats::hwEncoderAccelerating

The hwEncoderAccelerating of the local video:

- software = 0.
- hardware = 1.

## ◆ simulcastDimensions

VideoDimensions agora::rtc::LocalVideoStats::simulcastDimensions[SimulcastConfig::STREAM_LAYER_COUNT_MAX]

The dimensions of the simulcast streams's encoding frame.